VERSION 2.00
Begin Form Mailer 
   Caption         =   "Mailer"
   ClientHeight    =   6630
   ClientLeft      =   6945
   ClientTop       =   1740
   ClientWidth     =   6090
   Height          =   7320
   Left            =   6885
   LinkTopic       =   "Form1"
   ScaleHeight     =   6630
   ScaleWidth      =   6090
   Top             =   1110
   Width           =   6210
   Begin TextBox eAttach 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   285
      Left            =   1560
      TabIndex        =   11
      Top             =   1680
      Width           =   4215
   End
   Begin TextBox eResult 
      Height          =   615
      Left            =   240
      MultiLine       =   -1  'True
      TabIndex        =   10
      Text            =   "Ready."
      Top             =   5880
      Visible         =   0   'False
      Width           =   5535
   End
   Begin TextBox eMessage 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   3255
      Left            =   240
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   8
      Top             =   2520
      Width           =   5535
   End
   Begin TextBox eSubject 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   285
      Left            =   1560
      TabIndex        =   6
      Top             =   1320
      Width           =   4215
   End
   Begin TextBox eTo 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   285
      Left            =   1560
      TabIndex        =   4
      Top             =   960
      Width           =   4215
   End
   Begin TextBox eFrom 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   285
      Left            =   1560
      TabIndex        =   2
      Top             =   600
      Width           =   4215
   End
   Begin TextBox eServer 
      FontBold        =   0   'False
      FontItalic      =   0   'False
      FontName        =   "MS Sans Serif"
      FontSize        =   8.25
      FontStrikethru  =   0   'False
      FontUnderline   =   0   'False
      Height          =   285
      Left            =   1560
      TabIndex        =   0
      Top             =   240
      Width           =   3495
   End
   Begin Label Label1 
      Alignment       =   1  'Right Justify
      Caption         =   "Attach"
      Height          =   255
      Left            =   600
      TabIndex        =   12
      Top             =   1680
      Width           =   735
   End
   Begin Label lMessage 
      Alignment       =   2  'Center
      Caption         =   "Message"
      Height          =   255
      Left            =   2520
      TabIndex        =   9
      Top             =   2160
      Width           =   975
   End
   Begin Label lSubject 
      Alignment       =   1  'Right Justify
      Caption         =   "Subject"
      Height          =   255
      Left            =   360
      TabIndex        =   7
      Top             =   1320
      Width           =   975
   End
   Begin Label lTo 
      Alignment       =   1  'Right Justify
      Caption         =   "Email To"
      Height          =   255
      Left            =   360
      TabIndex        =   5
      Top             =   960
      Width           =   975
   End
   Begin Label lFrom 
      Alignment       =   1  'Right Justify
      Caption         =   "Email From"
      Height          =   255
      Left            =   240
      TabIndex        =   3
      Top             =   600
      Width           =   1095
   End
   Begin Label lServer 
      Alignment       =   1  'Right Justify
      Caption         =   "SMTP Server"
      Height          =   255
      Left            =   120
      TabIndex        =   1
      Top             =   240
      Width           =   1215
   End
   Begin Menu mConnect 
      Caption         =   "Connect"
   End
   Begin Menu mSend 
      Caption         =   "SendEmail"
      Enabled         =   0   'False
   End
   Begin Menu mExit 
      Caption         =   "Exit"
   End
End
Option Explicit

Sub bOK_Click ()
  eResult.Visible = False
  eResult.Text = ""
End Sub

Sub Form_Load ()
Dim Version As Integer
Dim S1, S2, S3 As String
eResult.Visible = True
Version = seeStatistics(SEE_GET_VERSION)
S1 = "SMTP/POP3 Email Engine Version "
S2 = Hex$(Version)
S3 = Mid$(S2, 1, 1) + "." + Mid$(S2, 2, 1) + "." + Mid$(S2, 3, 1)
eResult.Text = S1 + S3 + ". Ready to connect."
End Sub

Sub mConnect_Click ()
Dim Code As Integer
Dim NullString As String

NullString = ""

'check that SMTP server name has been specifed

If Len(eServer.Text) = 0 Then
  eResult.Text =  "Your SMTP server is not specified..."
  Exit Sub
End If

'check "From" email address

If Len(eFrom.Text) = 0 Then
  eResult.Text = "Missing 'Email From' address..."
  Exit Sub
Else
  Code = seeVerifyFormat(eFrom.Text)
  If Code < 0 Then
    'error in format
    Call ShowError(MAILER, Code)
    Exit Sub
  End If
End If

' set up log file

Code = seeStringParam(SEE_LOG_FILE, "mailer.log")

'connect to server

eResult.Visible = True
eResult.Text = "Connecting to SMTP server..."
Code = seeSmtpConnect(eServer.Text, eFrom.Text, NullString)
If Code < 0 Then
  'error in format
  Call ShowError(MAILER, Code)
  Exit Sub
End If
eResult.Text = "Connected. Ready to SendMail."
mSend.Enabled = True
mConnect.Enabled = False
End Sub

Sub mExit_Click ()
Dim Code As Integer
Code = seeClose()
End
End Sub

Sub mSend_Click ()
Dim Code As Integer
Dim NullString As String
NullString = ""

'check "To" email address

If Len(eTo.Text) = 0 Then
  eResult.Text = "Missing 'Email to' address..."
  Exit Sub
Else
  Code = seeVerifyFormat(eTo.Text)
  If Code < 0 Then
    'error in format
    Call ShowError(MAILER, Code)
    Exit Sub
  End If
End If

' send email message

eResult.Visible = True
mSend.Enabled = False
eResult.Text = "Sending email..."

Code = seeSendEmail(eTo, NullString, NullString, eSubject, eMessage, eAttach)
mSend.Enabled = True
If Code < 0 Then
  'error in format
  Call ShowError(MAILER, Code)
  Exit Sub
End If

eResult.Text = "Email has been sent. Ready to send next email."

End Sub

